$(document).ready(function(){
  $("input.filterSearch").on("keyup", function () {
    let re = new RegExp($("input.filterSearch").val(), "i");
    $(document)
      .find("tr.orderitem")
      .css("display", "none")
      .filter(function () {
        if (re.test($(this).attr("data-filter-companyName")))
          $(this).css("display", "table-row");
        if (re.test($(this).attr("data-filter-passId")))
          $(this).css("display", "table-row");
        if (re.test($(this).attr("data-filter-salesPersonName")))
          $(this).css("display", "table-row");
      });
  });
})